[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Build-Recommends

* Roberto C. Sanchez [Sun, 12 Jun 2005 09:28:24 -0400]:

> Couldn't you also Build-Depend on 'ocaml-native-compilers | ocaml'?

  Good idea, but it won't work (at least with the version of sbuild in
  unstable, if buildds are using something more recent and smarter,
  that's another story).

> That would look first for ocaml-native-compilers and then if that is not
> available, for ocaml.  Plus, if the ocaml-native-compilers package
> becomes available for other architectures, it does not require a
> modification to the Build-Depends to take advantage of it.

  As Ian Lynagh pointed me out on IRC, and I later checked on my system,
  sbuild blindly tries to install the first alternative, and completely
  fails if it's not available. So you necessarily need to specify arches,
  modulo my remarks above. Example output from sbuild follows:

    $ sbuild -d u -v foo_1.dsc
    ** Using build dependencies supplied by package:
    Build-Depends: sll | sl, debhelper
    Checking for already installed source dependencies...
    sll: missing
    sl: missing
    debhelper: already installed
    Checking for source dependency conflicts...
      /usr/bin/sudo /usr/bin/apt-get --purge $CHROOT_OPTIONS -q -y install sll
    Reading Package Lists...
    Building Dependency Tree...
    E: Couldn't find package sll


Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
Under capitalism, man exploits man.
Under communism, it's just the opposite.
                -- J.K. Galbraith

Reply to: